Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001073KdenliveUser Interfacepublic2009-08-01 05:592010-02-02 10:38
Reportercompumike 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionno change required 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.6 
Summary0001073: Crash when dragging a clip onto a track
DescriptionI am experiencing a crash when dragging any clip from a the Project Tree onto any track inside a new project. This happens with any kind of clip (video, still image, audio). It also happens when a saved project is loaded. Specifically, the clip can be dragged over the track, during which time the section of track does indicate its presence, and if the mouse button is held for a few seconds, the preview loads. However, once the mouse button is released, the crash occurs. A backtrace is shown below.

ffmpeg: svn version r19547 (I am intentionally using this bleeding-edge version because I am testing a fix patched in r19546) configured with "--prefix=/usr --extra-cflags='-Wall -g ' --libdir='${prefix}/lib' --shlibdir='${prefix}/lib' --bindir='${prefix}/bin' --incdir='${prefix}/include/ffmpeg' --enable-shared --enable-libmp3lame --enable-gpl --enable-libfaad --mandir='${prefix}/share/man' --enable-libvorbis --enable-pthreads --enable-libfaac --enable-libxvid --enable-postproc --enable-x11grab --enable-libgsm --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libx264 --enable-libtheora --enable-libdc1394 --enable-libspeex --enable-nonfree --disable-stripping --enable-avfilter --enable-libdirac --disable-decoder=libdirac --enable-libschroedinger --disable-encoder=libschroedinger --enable-avfilter-lavf --enable-libopenjpeg --enable-version3 --disable-altivec --disable-armv5te --disable-armv6 --disable-vis"

melt: version 0.4.5 (from git, Date: Mon Jul 27 21:18:28 2009 -0700), configured with "--prefix=/usr --enable-gpl --qimage-libdir=/usr/lib/ --qimage-includedir=/usr/include/qt4 --avformat-swscale --disable-sox"

kdenlive: svn version r3792, configured with "cmake .. -DCMAKE_INSTALL_PREFIX=/usr"

I did make sure to delete any old versions of libmlt and libmlt++ and the relevant pkgconfig files.

Please let me know if any other information is needed or if you can point me to the right part of the code to help look for the bug. Thanks!
Additional InformationApplication: Kdenlive (kdenlive), signal SIGSEGV
[Current thread is 1 (Thread 0xb5b98710 (LWP 17065))]

Thread 3 (Thread 0xb12b1b90 (LWP 17078)):
#0 0xffffe424 in __kernel_vsyscall ()
#1 0xb651a292 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
0000002 0xb661e8b4 in pthread_cond_timedwait () from /lib/i686/cmov/libc.so.6
0000003 0xb7f52b39 in mlt_consumer_get_frame (this=0x8652c48) at mlt_consumer.c:498
0000004 0xb7f52d90 in mlt_consumer_rt_frame (this=0x8652c48) at mlt_consumer.c:896
0000005 0xb32504b2 in consumer_thread (arg=0x8652c48) at consumer_sdl_still.c:536
0000006 0xb65164b5 in start_thread () from /lib/i686/cmov/libpthread.so.0
0000007 0xb660fa5e in clone () from /lib/i686/cmov/libc.so.6

Thread 2 (Thread 0xb0ab0b90 (LWP 17079)):
#0 0xffffe424 in __kernel_vsyscall ()
#1 0xb6519f65 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
0000002 0xb661e85d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
0000003 0xb324fc0c in consumer_thread (arg=0x8644078) at consumer_sdl_preview.c:381
0000004 0xb65164b5 in start_thread () from /lib/i686/cmov/libpthread.so.0
0000005 0xb660fa5e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb5b98710 (LWP 17065)):
[KCrash Handler]
0000006 mlt_properties_find (this=0x0, name=0xb7f59c8b "multitrack", length=0x0) at mlt_properties.c:348
0000007 mlt_properties_get_data (this=0x0, name=0xb7f59c8b "multitrack", length=0x0) at mlt_properties.c:890
0000008 0xb7f5514d in mlt_tractor_multitrack (this=0x0) at mlt_tractor.c:185
0000009 0xb7f33b4e in Mlt::Tractor::count() () from /usr/lib/libmlt++.so.2
0000010 0x080c9610 in Render::mltInsertClip (this=0x866a528, info=..., element=..., prod=0xb19256f0) at /home/mike/kdenlive-build/kdenlive/src/renderer.cpp:1445
0000011 0x0812a97d in CustomTrackView::dropEvent (this=0x8b9e0d8, event=0xbfd76dc0) at /home/mike/kdenlive-build/kdenlive/src/customtrackview.cpp:1876
0000012 0xb698b319 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000013 0xb6d31f03 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000014 0xb6dd0f1f in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
0000015 0xb6f79c02 in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
0000016 0xb6dd34f5 in ?? () from /usr/lib/libQtGui.so.4
0000017 0xb7348b9a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000018 0xb69357ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000019 0xb693df41 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000020 0xb7d075ed in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000021 0xb734996b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000022 0xb69b98cf in ?? () from /usr/lib/libQtGui.so.4
0000023 0xb69be288 in QDragManager::drop() () from /usr/lib/libQtGui.so.4
0000024 0xb69be43e in QDragManager::eventFilter(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000025 0xb7348c5c in QCoreApplicationPrivate::sendThroughApplicationEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000026 0xb6935753 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000027 0xb693e2a1 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000028 0xb7d075ed in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000029 0xb734996b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000030 0xb693d32e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
0000031 0xb69abe55 in ?? () from /usr/lib/libQtGui.so.4
0000032 0xb69ab336 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000033 0xb69d5842 in ?? () from /usr/lib/libQtGui.so.4
0000034 0xb6052368 in g_main_dispatch (context=0x82f7f10) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:1824
0000035 IA__g_main_context_dispatch (context=0x82f7f10) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2377
0000036 0xb60558c3 in g_main_context_iterate (context=0x82f7f10, block=1, dispatch=1, self=0x82f6520) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2455
0000037 0xb6055a48 in IA__g_main_context_iteration (context=0x82f7f10, may_block=1) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2518
0000038 0xb73747f8 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000039 0xb69d4f85 in ?? () from /usr/lib/libQtGui.so.4
0000040 0xb7347fba in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000041 0xb7348402 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000042 0xb69bdcb6 in QDragManager::drag(QDrag*) () from /usr/lib/libQtGui.so.4
0000043 0xb6948c0a in QDrag::exec(QFlags<Qt::DropAction>, Qt::DropAction) () from /usr/lib/libQtGui.so.4
0000044 0xb6948cb4 in QDrag::exec(QFlags<Qt::DropAction>) () from /usr/lib/libQtGui.so.4
0000045 0x080efd78 in ProjectListView::mouseMoveEvent (this=0x848ca60, event=0xbfd7970c) at /home/mike/kdenlive-build/kdenlive/src/projectlistview.cpp:264
0000046 0xb698b5a5 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000047 0xb6d31f03 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000048 0xb6dd0f1f in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
0000049 0xb6e820d7 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
0000050 0xb6ebced6 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
0000051 0xb6dd34f5 in ?? () from /usr/lib/libQtGui.so.4
0000052 0xb7348b9a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000053 0xb69357ac in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000054 0xb693e2a1 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000055 0xb7d075ed in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000056 0xb734996b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000057 0xb693d32e in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib/libQtGui.so.4
#58 0xb69abe55 in ?? () from /usr/lib/libQtGui.so.4
0000059 0xb69ab336 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000060 0xb69d5842 in ?? () from /usr/lib/libQtGui.so.4
0000061 0xb6052368 in g_main_dispatch (context=0x82f7f10) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:1824
0000062 IA__g_main_context_dispatch (context=0x82f7f10) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2377
0000063 0xb60558c3 in g_main_context_iterate (context=0x82f7f10, block=1, dispatch=1, self=0x82f6520) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2455
0000064 0xb6055a48 in IA__g_main_context_iteration (context=0x82f7f10, may_block=1) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2518
0000065 0xb73747f8 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000066 0xb69d4f85 in ?? () from /usr/lib/libQtGui.so.4
0000067 0xb7347fba in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000068 0xb7348402 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000069 0xb734a859 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000070 0xb6935657 in QApplication::exec() () from /usr/lib/libQtGui.so.4
0000071 0x0807dfcd in main (argc=1, argv=0xbfd7b164) at /home/mike/kdenlive-build/kdenlive/src/main.cpp:90

TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files? file icon test_file.kdenlive [^] (5,113 bytes) 2009-08-01 13:43

- Relationships

-  Notes
(0003757)
compumike (reporter)
2009-08-01 06:05

I will also note that melt (command line), ffplay, xine, and kdenlive's "Clip Monitor" can all preview the files perfectly -- no issues at all.
(0003759)
j-b-m (administrator)
2009-08-01 13:45
edited on: 2009-08-01 13:49

I attached a file (test_file.kdenlive) which is a basic project with 2 color clips and a dissolve transition. Can you try to download it and play it with melt:

melt test_file.kdenlive

Does it work?

Then, try:
kdenlive test_file.kdenlive

Edit: if you're running the svn version of FFmpeg, please also check you don't have old versions of libavformat, libavcodec, ... installed

(0003760)
compumike (reporter)
2009-08-01 19:02

Thanks for the reply.

Before I built the svn version of FFmpeg, I did try my best to fully remove old versions of ffmpeg. Beyond just removing the appropriate packages, this included manually deleting the following:
/usr/lib/libavcodec*
/usr/lib/libavfilter*
/usr/lib/libavformat*
/usr/lib/libavutil*
/usr/lib/libpostproc*
/usr/lib/libswscale*
/usr/lib/ffmpeg/
relevant files in /usr/lib/pkgconfig
/usr/include/ffmpeg/
/usr/lib/i686/cmov/
Did I miss anything?

It does not play with melt:
$ melt test_file.kdenlive
Failed to load "test_file.kdenlive"
Adding the "-debug" or "-verbose" tags fails to change anything. Does this mean that I missed a compile flag on melt? For what it's worth, a file "/usr/lib/mlt/libmltkdenlive.so" was indeed created by the melt compile/install step.

With "kdenlive test_file.kdenlive", I get a message "Document project folder is invalid, setting it to the default one"..., after clicking OK, the main Kdenlive GUI window flashes up for a few milliseconds, followed by a crash.

Application: Kdenlive (kdenlive), signal SIGSEGV
[Current thread is 1 (Thread 0xb5cd6710 (LWP 29680))]

Thread 3 (Thread 0xb0c0db90 (LWP 29687)):
#0 0xffffe424 in __kernel_vsyscall ()
#1 0xb6743467 in poll () from /lib/i686/cmov/libc.so.6
0000002 0xb601908b in ?? () from /usr/lib/libxcb.so.1
0000003 0xb601b465 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
0000004 0xb6437cbe in _XReply () from /usr/lib/libX11.so.6
0000005 0xb642bb97 in XSync () from /usr/lib/libX11.so.6
0000006 0xb32e4bf5 in ?? () from /usr/lib/libSDL-1.2.so.0
0000007 0xb32ea136 in ?? () from /usr/lib/libSDL-1.2.so.0
0000008 0xb32d958a in SDL_LockSurface () from /usr/lib/libSDL-1.2.so.0
0000009 0xb369d5da in sdl_lock_display (arg=0x85fb240) at consumer_sdl_still.c:228
0000010 consumer_play_video (arg=0x85fb240) at consumer_sdl_still.c:379
0000011 consumer_thread (arg=0x85fb240) at consumer_sdl_still.c:543
0000012 0xb66544b5 in start_thread () from /lib/i686/cmov/libpthread.so.0
0000013 0xb674da5e in clone () from /lib/i686/cmov/libc.so.6

Thread 2 (Thread 0xb140eb90 (LWP 29688)):
#0 0xffffe424 in __kernel_vsyscall ()
#1 0xb6657f65 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/i686/cmov/libpthread.so.0
0000002 0xb675c85d in pthread_cond_wait () from /lib/i686/cmov/libc.so.6
0000003 0xb369cc0c in consumer_thread (arg=0x85ec678) at consumer_sdl_preview.c:381
0000004 0xb66544b5 in start_thread () from /lib/i686/cmov/libpthread.so.0
0000005 0xb674da5e in clone () from /lib/i686/cmov/libc.so.6

Thread 1 (Thread 0xb5cd6710 (LWP 29680)):
[KCrash Handler]
0000006 mlt_properties_find (this=0x0, name=0xb8097c8b "multitrack", length=0x0) at mlt_properties.c:348
0000007 mlt_properties_get_data (this=0x0, name=0xb8097c8b "multitrack", length=0x0) at mlt_properties.c:890
0000008 0xb809314d in mlt_tractor_multitrack (this=0x0) at mlt_tractor.c:185
0000009 0xb809317b in mlt_tractor_get_track (this=0x0, index=3) at mlt_tractor.c:257
0000010 0xb8071d3f in Mlt::Tractor::track(int) () from /usr/lib/libmlt++.so.2
0000011 0x080c7f0f in Render::mltRemoveClip (this=0x8612b30, track=3, position=...) at /home/mike/kdenlive-build/kdenlive/src/renderer.cpp:1588
0000012 0x080ca2d0 in Render::mltUpdateClip (this=0x8612b30, info=..., element=..., prod=0x8b46840) at /home/mike/kdenlive-build/kdenlive/src/renderer.cpp:1576
0000013 0x08123a16 in CustomTrackView::slotUpdateClip (this=0x85db4b0, clipId=...) at /home/mike/kdenlive-build/kdenlive/src/customtrackview.cpp:3135
0000014 0x0809e16b in MainWindow::qt_metacall (this=0x8399868, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xbfcb78d0) at /home/mike/kdenlive-build/kdenlive/build/src/cmake_bindir/mainwindow.moc:284
0000015 0xb749cad3 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000016 0xb749d722 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000017 0x080a3195 in ProjectList::receivedClipDuration (this=0x83c2958, _t1=...) at /home/mike/kdenlive-build/kdenlive/build/src/cmake_bindir/projectlist.moc:226
0000018 0x080ac924 in ProjectList::slotReplyGetFileProperties (this=0x83c2958, clipId=..., producer=0x8b46840, properties=..., metadata=..., replace=<value optimized out>)
    at /home/mike/kdenlive-build/kdenlive/src/projectlist.cpp:886
0000019 0x080ad9e0 in ProjectList::qt_metacall (this=0x83c2958, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbfcb7aa0) at /home/mike/kdenlive-build/kdenlive/build/src/cmake_bindir/projectlist.moc:165
0000020 0xb749cad3 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000021 0xb749d722 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000022 0x080bc3fd in Render::replyGetFileProperties (this=0x8612b30, _t1=..., _t2=0x8b46840, _t3=..., _t4=..., _t5=false) at /home/mike/kdenlive-build/kdenlive/build/src/cmake_bindir/renderer.moc:155
0000023 0x080ce9ad in Render::getFileProperties (this=0x8612b30, xml=..., clipId=..., replaceProducer=<value optimized out>) at /home/mike/kdenlive-build/kdenlive/src/renderer.cpp:748
0000024 0x080d3470 in Render::qt_metacall (this=0x8612b30, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0xbfcb8148) at /home/mike/kdenlive-build/kdenlive/build/src/cmake_bindir/renderer.moc:137
0000025 0xb749cad3 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000026 0xb749d722 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000027 0x080a31e7 in ProjectList::getFileProperties (this=0x83c2958, _t1=..., _t2=..., _t3=false) at /home/mike/kdenlive-build/kdenlive/build/src/cmake_bindir/projectlist.moc:219
0000028 0x080a6914 in ProjectList::slotProcessNextClipInQueue (this=0x83c2958) at /home/mike/kdenlive-build/kdenlive/src/projectlist.cpp:568
0000029 0x080ad531 in ProjectList::qt_metacall (this=0x83c2958, _c=QMetaObject::InvokeMetaMethod, _id=42, _a=0xbfcb8298) at /home/mike/kdenlive-build/kdenlive/build/src/cmake_bindir/projectlist.moc:197
0000030 0xb749cad3 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000031 0xb749d722 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000032 0xb74d8117 in QTimer::timeout() () from /usr/lib/libQtCore.so.4
0000033 0xb74a2e3e in QTimer::timerEvent(QTimerEvent*) () from /usr/lib/libQtCore.so.4
0000034 0xb7497b6f in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
0000035 0xb6a737d4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000036 0xb6a7b93e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000037 0xb7e455ed in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000038 0xb748796b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000039 0xb74b6301 in ?? () from /usr/lib/libQtCore.so.4
0000040 0xb74b28a0 in ?? () from /usr/lib/libQtCore.so.4
0000041 0xb6190368 in g_main_dispatch (context=0x82f8690) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:1824
0000042 IA__g_main_context_dispatch (context=0x82f8690) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2377
0000043 0xb61938c3 in g_main_context_iterate (context=0x82f8690, block=1, dispatch=1, self=0x82f6558) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2455
0000044 0xb6193a48 in IA__g_main_context_iteration (context=0x82f8690, may_block=1) at /build/buildd-glib2.0_2.20.4-1-i386-6KfM1O/glib2.0-2.20.4/glib/gmain.c:2518
0000045 0xb74b27f8 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000046 0xb6b12f85 in ?? () from /usr/lib/libQtGui.so.4
0000047 0xb7485fba in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000048 0xb7486402 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000049 0xb7488859 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000050 0xb6a73657 in QApplication::exec() () from /usr/lib/libQtGui.so.4
0000051 0x0807dfcd in main (argc=2, argv=0xbfcb8b84) at /home/mike/kdenlive-build/kdenlive/src/main.cpp:90
(0003761)
j-b-m (administrator)
2009-08-01 20:10

I would say that your mlt installation has a broken module. Please try to delete all in /usr/lib/mlt, then reinstall mlt.

Please also check that the mlt configure script does not warn you about modules disabled (for example the xml module).
(0003762)
compumike (reporter)
2009-08-02 01:44

Hi j-b-m,

Excellent! You were right -- it was the fact that I did not have the "libxml2-dev" package installed, and the mlt configure script was therefore disabling the xml module. I can now drag a clip to a track, and load a saved project, without a crash. Thanks so much.

Is there a way to add this information to this page?
http://kdenlive.org/user-manual/downloading-and-installing-kdenlive/installing-source/installing-mlt-rendering-engine [^]

Please mark this issue as closed.

Mike

- Issue History
Date Modified Username Field Change
2009-08-01 05:59 compumike New Issue
2009-08-01 05:59 compumike Build/Install Method => Manual build from SVN
2009-08-01 06:05 compumike Note Added: 0003757
2009-08-01 13:43 j-b-m File Added: test_file.kdenlive
2009-08-01 13:45 j-b-m Note Added: 0003759
2009-08-01 13:45 j-b-m Status new => feedback
2009-08-01 13:49 j-b-m Note Edited: 0003759 View Revisions
2009-08-01 19:02 compumike Note Added: 0003760
2009-08-01 20:10 j-b-m Note Added: 0003761
2009-08-02 01:44 compumike Note Added: 0003762
2009-08-02 20:07 j-b-m Status feedback => resolved
2009-08-02 20:07 j-b-m Resolution open => fixed
2009-08-02 20:07 j-b-m Assigned To => j-b-m
2009-09-10 01:43 xzhayon Resolution fixed => no change required
2009-10-08 20:21 j-b-m Fixed in Version => 0.7.6
2010-02-02 10:35 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker